import QtQuick 2.12

import "qrc:/Resources/qml/components" as PrecisaComponents
import "qrc:/Resources/qml/components/buttons" as PrecisaButtons
import "qrc:/Resources/qml/themes/theme.js" as Theme

Rectangle {
    id: container

    width: Theme.chartWidth
    height: Theme.chartHeight

    // zum Ausschalten der vorgängigen Maus Funktionen (Actionbar)
    MouseArea { anchors.fill: parent }

    Binding{target: helpTaskbar; property:"cpp_taskbar"; value: cpp_help.taskbar}
    PrecisaComponents.Taskbar
    {
        id:helpTaskbar
    }


    Flickable
    {
        id: view

        anchors.fill: parent
        anchors.topMargin: helpTaskbar.height + 10
        anchors.bottomMargin: 80
        anchors.rightMargin: 20
        anchors.leftMargin: 10
        contentHeight: helpText.height

        clip:true
        boundsBehavior: Flickable.StopAtBounds

        Text
        {
            id: helpText

            width: parent.width
            wrapMode: Text.WordWrap
            textFormat: Text.RichText

            text:cpp_help.helpText

            onLinkActivated: cpp_help.notifyLinkActivated(link)
        }
    }

    PrecisaComponents.Scrollbar
    {
        id:verticalScrollbar

        height: view.height
        width: 15
        anchors.left: view.right
        anchors.top: view.top

        position: view.visibleArea.yPosition
        sizeRatio: view.visibleArea.heightRatio > 1 ? 1 : view.visibleArea.heightRatio
    }

    //Buttons
    PrecisaComponents.InfoButtonbar
    {
        id: buttonbar

        anchors.bottom: parent.bottom
        anchors.bottomMargin: 10
        anchors.right: parent.right

        buttonRightText: cpp_help.closeBtnText
        buttonRightVisible: true
        buttonRightEnabled: true
        onNotifyButtonRightClicked: cpp_help.notifyBtnCloseClicked()
    }
}
